Accept Connection
curl --request PATCH \
--url https://api.replyke.com/api/v6/:projectId/api/v7/connections/:connectionId/acceptimport requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/connections/:connectionId/accept"
response = requests.patch(url)
print(response.text)const options = {method: 'PATCH'};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/connections/:connectionId/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "<string>",
"respondedAt": "<string>"
}Connection Endpoints
Accept Connection
Accept a pending connection request
PATCH
/
:projectId
/
api
/
v7
/
connections
/
:connectionId
/
accept
Accept Connection
Accepts a pending connection request. Only the receiver of the original request can accept it. A notification is sent to the original requester.
Path Parameters
string
required
The ID (UUID) of the pending connection record to accept.
Response
On success, returns HTTP200:
string
Connection record ID.
string
"accepted".string
ISO timestamp of when the connection was accepted.
Error Responses
Not Found — 404
Not Found — 404
{
"error": "Pending connection request not found.",
"code": "connection/not-found"
}
Unauthorized — 403
Unauthorized — 403
{
"error": "Only the receiver can accept a connection request.",
"code": "connection/unauthorized"
}
See Also
⌘I

